[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookupComboBox.KeyValue

Value for the key field in the lookup dataset at the position in ItemIndex.

## Declaration

Source position: dbctrls.pp line 915

`public property TDBLookupComboBox.KeyValue : variant read GetKeyValue write SetKeyValue;`

## Description

Read and write access for the property value is provided using methods in the internal TDBLookup instance used in the class. Reading the value calls the GetKeyValue method in TDBLookup. Writing the value calls the GetKeyIndex method in TDBLookUp.